Bug 253222 - OpenSolaris domUs will not boot on RHEL5
OpenSolaris domUs will not boot on RHEL5
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: xen (Show other bugs)
5.0
All Linux
low Severity low
: ---
: ---
Assigned To: Daniel Berrange
Virtualization Bugs
http://xenbits.xensource.com/xen-unst...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-17 09:51 EDT by John Levon
Modified: 2009-12-14 16:15 EST (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2008-0305
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 11:19:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Upstream patch re-diffed for RHEL (1.18 KB, patch)
2008-01-17 16:17 EST, Daniel Berrange
no flags Details | Diff

  None (edit)
Description John Levon 2007-08-17 09:51:20 EDT
Description of problem:

OpenSolaris domUs will not start under RHEL5

Version-Release number of selected component (if applicable):

RHEL5 xen-3.0.3-25.0.3.el5

How reproducible:

Every time

Steps to Reproduce:
1. Set up a Solaris domU config file
2. Try to start it with xm create

Additional info:

The patch here:

http://xenbits.xensource.com/xen-unstable.hg?rev/70687bcb82dd

needs backporting, and then it will work.
Comment 1 Daniel Berrange 2007-09-28 16:19:35 EDT
While I'm remembering context, this thread makes it clear why we need the above
patch:

https://www.redhat.com/archives/libvir-list/2007-September/msg00305.html

Solaris uses numbers 0,1,2,3 instead of xvda, xvdb, etc for disk names. The
current XenD code doesn't correctly distinguish  '0' from 'None', hence the
patch above.
Comment 2 RHEL Product and Program Management 2007-10-15 23:47:33 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 3 Bill Burns 2008-01-11 12:22:34 EST
Set dev ack for Dan Berrange.
Comment 5 Daniel Berrange 2008-01-17 16:17:02 EST
Created attachment 292075 [details]
Upstream patch re-diffed for RHEL
Comment 6 Daniel Berrange 2008-01-18 14:49:34 EST
Fix built

$ brew latest-pkg dist-5E-qu-candidate xen
Build                                     Tag                   Built by
----------------------------------------  --------------------  ----------------
xen-3.0.3-47.el5                          dist-5E-qu-candidate  berrange


* Fri Jan 18 2008 Daniel P. Berrange <berrange@redhat.com> - 3.0.3-47.el5
- Fix blkif check to distinguish 0 and None for Solaris (rhbz #253222)
Comment 9 errata-xmlrpc 2008-05-21 11:19:51 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0305.html

Note You need to log in before you can comment on or make changes to this bug.